org.apache.tomcat.util.security

## Class PrivilegedSetTccl

- java.lang.Object
- - org.apache.tomcat.util.security.PrivilegedSetTccl

- All Implemented Interfaces:
    PrivilegedAction<Void>

      public class PrivilegedSetTccl
      extends Object
      implements PrivilegedAction<Void>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivilegedSetTccl(ClassLoader cl)`
    `PrivilegedSetTccl(Thread t, ClassLoader cl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivilegedSetTccl

          public PrivilegedSetTccl(ClassLoader cl)

    - #### PrivilegedSetTccl

          public PrivilegedSetTccl(Thread t,
                           ClassLoader cl)

  - ### Method Detail

    - #### run

          public Void run()

      Specified by:
        `run` in interface `PrivilegedAction<Void>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.